<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zfire.jiasm.syncdata.dao.mapper.ItfTblazwgmxqitafjCJMapper">

    <update id="updateType" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxqitaFj set type = 13
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type > 1 and type &lt; 5
    </update>

    <update id="updateType1" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxqitaFj set type = 20
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 5
    </update>

    <update id="updateType2" parameterType="com.zfire.jiasm.syncdata.parameter.InstallDetail">
        update itf_tblazwgmxqitaFj set fjname = '整机安装效果图'
        where worker_order_no = #{request.orderNo}
          and syn_task_no = #{request.id} and type = 20  and fjindex = 0
    </update>

</mapper>